PPTPD server 2.4.7 connection issues | Ubuntu server 18.04

So i’m setting up a VPN on an VPS and I installed PPTPD and configured it with basic settings, I followed this guides “https://www.youtube.com/watch?v=0XxzcJd9Vp0 & https://help.ubuntu.com/community/PPTPServer”.

But it doesn’t work, I already googled the error I get but didn’t found a working answer, the error I get is “pptpd[2548]: GRE: read(fd=6,buffer=55e74067e4c0,len=8196) from PTY f” and I also found out that when I do a tcpdump that the connection hangs on “LCP: timeout sending Config-Requests”.

Maybe that someone can help me with this issue beceause I can’t find a working solution, and the funny thing is I installed PPTPD on an other VPS with the help of those guides and it works flawless.

So I hope someone has the answer for me, just say it when I need to provide some tcpdumps or logs.

Are there any OpenVPN 2.4.7 Windows builds compiled against OpenSSL 1.1.1 for TLS1.3 support? [on hold]

As of February, 2019, the OpenVPN 2.4.7 Windows default build is currently compiled against OpenSSL 1.1.0j. As a result, it seems not support TLS 1.3 yet. (tls-version-min 1.3 and tls-ciphersuites commands are unavailable.)

I wonder are there any OpenVPN 2.4.7 Windows builds that support TLS1.3?

[moved from here]

Are there any OpenVPN 2.4.7 Windows builds compiled against OpenSSL 1.1.1 for TLS1.3 support?

As of February, 2019, the OpenVPN 2.4.7 Windows default build is currently compiled against OpenSSL 1.1.0j. As a result, it seems not support TLS 1.3 yet. (tls-version-min 1.3 and tls-ciphersuites commands are unavailable.)

I wonder are there any OpenVPN 2.4.7 Windows builds that support TLS1.3?